<template>
  <div class="navbar">
    <div @click="$router.push('/')">
      <router-link :to="{ name: 'main' }" class="router-text">Main</router-link>
    </div>
    <div class="navbar__btns">
      <router-link :to="{ name: 'posts' }" class="router-text">
        <my-button>Posts</my-button>
      </router-link>
      <router-link :to="{ name: 'posts-x' }" class="ml-5 router-text">
        <my-button>Vuex</my-button>
      </router-link>
      <router-link :to="{ name: 'posts-c' }" class="ml-5 router-text">
        <my-button>Composition</my-button>
      </router-link>
    </div>
  </div>
</template>

<script>
export default {
  name: "Navbar"
}
</script>

<style scoped>
.navbar {
  height: 50px;
  background-color: lightgray;
  box-shadow: 2px 2px 4px gray;
  display: flex;
  align-items: center;
  padding: 0 15px;
}
.navbar__btns {
  margin-left: auto;
}
.router-text {
  color: black;
  text-decoration: none;
}
</style>
